SNEC Extraction API
Introduction
This API allows users to extract information from SNEC certificates. The API accepts an image URL containing SNEC certificate and returns a JSON response with the extracted information in a result object including Registration Number, Establishment name, address and other pertinent information.
API details
Endpoint
POST https://api.signzy.app/api/v3/extraction/snecPOST https://api-preproduction.signzy.app/api/v3/extraction/snecRequest headers
Name | Value | Required | Description |
|---|---|---|---|
Content-Type | application/json | Mandatory | The type of content that the request body contains. |
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Request body parameters
Parameter | Data type | Description | Required |
|---|---|---|---|
file | String | A URL of the image. Acceptable image format TIFF/TIF, JPEG/JPG, PNG, PDF(maximum 2 pages) containing SNEC certificate. | Mandatory |
{
"file": "https://persist.signzy.tech/api/files/795927779/download/xxxxxxxxxxxxxxxxxxxxxxx.png"
}Code samples
curl --location 'https://api.signzy.app/api/v3/extraction/snec' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Token>' \
--data '{
"file": "https://persist.signzy.tech/api/files/795927779/download/xxxxxxxxxxxxxxxxxxxxxxx.png"
}'Response body parameters
Parameter | Data Type | Description |
|---|---|---|
result | Object | Contains the result of the task. |
result.registrationNumber | String | The registration number from Shop Establishment Act Certificate. |
result.establishmentName | String | Establishment name mentioned in Shop Establishment Act Certificate. |
result.employerName | String | Name of the employer mentioned. |
result.businessName | String | Name of the business mentioned. |
result.address | String | Address mentioned |
result.stateName | String | State name from address |
result.mobile | String | Mobile number mentioned |
result.emailId | String | Email Id mentioned |
result.managerName | String | Name of the manager mentioned. |
result.fatherName | String | Name of father mentioned. |
result.designation | String | Designation mentioned. |
result.age | String | Age mentioned.  |
result.managerMobile | String | Mobile number of the manager mentioned. |
result.managerEmail | String | Email id of manager mentioned. |
result.validityFrom | String | Validity start date of the Shop Establishment Act Certificate mentioned. |
result.validityTo | String | Validity end date of the Shop Establishment Act Certificate mentioned. |
Response body parameters
{
"result": {
"registrationNumber": "7459206****",
"establishmentName": "JAVID & CO",
"employerName": "JAVID AHMAD D*****",
"businessName": "HARDWARE AND PAINTS",
"address": "MAIN CHOWK, SOPORE",
"stateName": "JAMMU KASHMIR",
"mobile": "NA",
"emailId": "NA",
"managerName": "NA",
"fatherName": "GHULAM NABI D*****",
"designation": "OWNER",
"age": "NA",
"managerMobile": "NA",
"managerEmail": "NA",
"validityFrom": "NA",
"validityTo": "NA"
}
}
Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!